Available in Classic
Add a SSL certificate used by a load balancer.
Since the addLoadBalancerSslCertificate API has been deprecated, use createExternalCertificate.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| POST | /addLoadBalancerSslCertificate |
Request headers
For information about the headers common to all Load Balancer APIs, see Load Balancer request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
certificateName |
String | Required | Name of certificate to add to the load balancer |
privateKey |
String | Required | Certificate secret key |
publicKeyCertificate |
String | Required | Certificate public key |
certificateChain |
String | Optional | Chain certificate
|
Request example
The request example is as follows:
curl --location --request POST 'https://ncloud.apigw.ntruss.com/loadbalancer/v2/addLoadBalancerSslCertificate?certificateName=YOUR_CERTIFICATE&privateKey=YOUR_PRIVATE_KEY&publicKeyCertificate=YOUR_PUBLIC_KEY' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
This section describes the response format.
Response body
See SslCertificate for the response body.
Response status codes
For information about the HTTP status codes common to all Load Balancer APIs, see Load Balancer response status codes.
Response example
The response example is as follows:
<addLoadBalancerSslCertificateResponse>
<requestId>3c860c5d-10b0-464d-b7da-c464ae31c042</requestId>
<returnCode>0</returnCode>
<returnMessage>success</returnMessage>
<totalRows>1</totalRows>
<sslCertificateList>
<sslCertificate>
<certificateName>YOUR_CERTIFICATE</certificateName>
<privateKey>YOUR_PRIVATE_KEY</privateKey>
<publicKeyCertificate>YOUR_PUBLIC_KEY</publicKeyCertificate>
<certificateChain></certificateChain>
</sslCertificate>
</sslCertificateList>
</addLoadBalancerSslCertificateResponse>
Response status codes
The following describes the response status codes.
| HTTP status code | Code | Message | Description |
|---|---|---|---|
| 400 | 26036 | Not found certificateName OR privateKey OR publicKeyCertificate Please check your input parameter. | Unable to find the certificate name or the certificate's secret/public key |
| 400 | 26041 | The certificate name already existent. | Certificate name can't be duplicated. |